org.apache.cassandra.db

## Class OnDiskAtom.Serializer

- java.lang.Object
- - org.apache.cassandra.db.OnDiskAtom.Serializer

All Implemented Interfaces:
  ISSTableSerializer<OnDiskAtom>

Enclosing interface:
  OnDiskAtom

    public static class OnDiskAtom.Serializer
    extends java.lang.Object
    implements ISSTableSerializer<OnDiskAtom>

### Field Summary

Fields
`static OnDiskAtom.Serializer` `instance`

### Method Summary

Methods
`OnDiskAtom` `deserializeFromSSTable(java.io.DataInput in, ColumnSerializer.Flag flag, int expireBefore, Descriptor.Version version)`
`OnDiskAtom` `deserializeFromSSTable(java.io.DataInput in, Descriptor.Version version)` Deserialize into the specified DataInputStream instance in the format suited for SSTables.
`void` `serializeForSSTable(OnDiskAtom atom, java.io.DataOutput out)` Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static OnDiskAtom.Serializer instance

### Method Detail

#### serializeForSSTable

    public void serializeForSSTable(OnDiskAtom atom,
                           java.io.DataOutput out)
                             throws java.io.IOException

Description copied from interface: `ISSTableSerializer`
Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.

Specified by:
  `serializeForSSTable` in interface `ISSTableSerializer<OnDiskAtom>`
Parameters:
  `atom` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserializeFromSSTable

    public OnDiskAtom deserializeFromSSTable(java.io.DataInput in,
                                    Descriptor.Version version)
                                      throws java.io.IOException

Description copied from interface: `ISSTableSerializer`
Deserialize into the specified DataInputStream instance in the format suited for SSTables.

Specified by:
  `deserializeFromSSTable` in interface `ISSTableSerializer<OnDiskAtom>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `version` - the version for the sstable we're reading from
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### deserializeFromSSTable

    public OnDiskAtom deserializeFromSSTable(java.io.DataInput in,
                                    ColumnSerializer.Flag flag,
                                    int expireBefore,
                                    Descriptor.Version version)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`